Cobblemon Quests

Cobblemon Quests

Mod

Adds integration between the mod FTB quests and Cobblemon

Client and server Game MechanicsManagementUtility

11.5k downloads
23 followers
Created8 months ago
Updated3 months ago

Follow Save
Host your Minecraft server on BisectHosting - get 25% off your first month with code MODRINTH.
Filter loader...
Filter versions...
Filter channels...
  • Add release pokemon as condition
  • Add trade as condition
  • Add obtain as condition
  • Add a blacklist to make certain pokemon not count toward quests. /cobblemonquestsconfig blackListedPokemon <pokemon>
  • Change the /pokegive to include the option /pokegive <pokemon> countascatch=[true|false]. Not including this tag will count as false
  • Fix incompatibilities with Cobbreeding
  • Updated config

Known bugs:

  • The pokegive command does not show countascatch as an option. This will be adressed in a future version

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury
  • Add release pokemon as condition
  • Add trade as condition
  • Add obtain as condition
  • Add a blacklist to make certain pokemon not count toward quests. /cobblemonquestsconfig blackListedPokemon <pokemon>
  • Change the /pokegive to include the option /pokegive <pokemon> countascatch=[true|false]. Not including this tag will count as false
  • Fix incompatibilities with Cobbreeding
  • Updated config

Known bugs:

  • The pokegive command does not show countascatch as an option. This will be adressed in a future version

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with Cobbreeding

A fix is being worked on

Incompatible with previous versions

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Add release pokemon as condition
  • Add trade as condition
  • Add obtain as condition
  • Add a blacklist to make certain pokemon not count toward quests. /cobblemonquestsconfig blackListedPokemon <pokemon>
  • Change the /pokegive to include the option /pokegive <pokemon> countascatch=[true|false]. Not including this tag will count as false

Knows bugs:

  • The pokegive command does not show countascatch as an option. This will be adressed in a future version

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with previous versions

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Add release pokemon as condition
  • Add trade as condition
  • Add obtain as condition
  • Add a blacklist to make certain pokemon not count toward quests. /cobblemonquestsconfig blackListedPokemon <pokemon>
  • Change the /pokegive to include the option /pokegive <pokemon> countascatch=[true|false]. Not including this tag will count as false

Known bugs:

  • The pokegive command does not show countascatch as an option. This will be adressed in a future version

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.8

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added region as a category
  • Bug fixes

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.8

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added region as a category
  • Bug fixes

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.5

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added region as a category
  • Quest icons now show up as the selected pokemon.
  • Bug fixes

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.5

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added region as a category
  • Made option for servers with the mod give a more descriptive error in case the client is missing it. /cobblemonquestsconfig doVersionVerification true
  • Quest icons now show up as the selected pokemon.
  • Bug fixes

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Beta Release Notice

Prior to installing the new version, it is strongly recommended to create a backup. This release is classified as a beta version due to the incorporation of new features and undergoing limited testing. Exercise caution during installation.

Incompatible with 1.1.5

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod won't be able to join. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added region as a category
  • Made servers with the mod give a more descriptive error in case the client is missing it
  • Bug fixes

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.7

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added pokemon form as a pokemon selector (sleiphir)

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.7

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added pokemon form as a pokemon selector (sleiphir)

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.4

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added pokemon form as a pokemon selector (sleiphir)

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.4

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added pokemon form as a pokemon selector (sleiphir)

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.3

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added evolution as a category
  • Added level up as a category
  • Added gender as a pokemon selector
  • Added pokemon type as a pokemon selector
  • Made evolutions count as capturing a pokemon
  • Made starter pokemon chosen count as capturing a pokemon

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.1.3

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added evolution as a category
  • Added level up as a category
  • Added gender as a pokemon selector
  • Added pokemon type as a pokemon selector
  • Made evolutions count as capturing a pokemon
  • Made starter pokemon chosen count as capturing a pokemon

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.6

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added evolution as a category
  • Added level up as a category
  • Added gender as a pokemon selector
  • Added pokemon type as a pokemon selector
  • Made evolutions count as capturing a pokemon
  • Made starter pokemon chosen count as capturing a pokemon

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Incompatible with 1.0.6

What does this mean?

Breaking changes have been introduced, meaning that all players attempting to join with the old version of the mod will get an "index out of bounds" error. Make sure that all your players have this version installed prior to joining.

Changelog

  • Added evolution as a category
  • Added level up as a category
  • Added gender as a pokemon selector
  • Added pokemon type as a pokemon selector
  • Made evolutions count as capturing a pokemon
  • Made starter pokemon chosen count as capturing a pokemon

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

Changelog

  • Update to 1.20.1
  • Added "Any Pokémon" as pokémon type
  • Added shiny as value for creating tasks

Dependencies

Changelog

  • Update to 1.20.1
  • Added "Any Pokémon" as pokémon type
  • Added shiny as value for creating tasks

Dependencies

Changelog

  • Bug fixes
  • Added "Any Pokémon" as pokémon type
  • Added shiny as value for creating tasks

Dependencies

  • Requires FTB Quests and all its dependencies to function
  • Requires Cobblemon
  • Requires Architectury

External resources



Project members

WinterWolfSV

Owner


Technical information

License
CC-BY-NC-4.0
Client side
required
Server side
required
Project ID